import "../../components/checkbox/Checkbox";
import "../../components/draggable/Draggable";
import "../../components/draggable/DraggableItem";
import "../../components/icon/Icon";
import "../../components/toggle-switch/ToggleSwitch";
import { LitElement } from "lit";
export declare class DefaultDraggable extends LitElement {
    private extended;
    static get styles(): import("lit").CSSResult[];
    handleToggleClick(event: MouseEvent): void;
    render(): import("lit-html").TemplateResult<1>;
}
export declare const draggableTemplate: import("lit-html").TemplateResult<1>;
